%% ===========================================================================
% Copyright (C):
%       2000-2007 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% 
% Description   : Startup of SDSL Testloop Example 
%
% File          : startup.m
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : 
%
% CVS:       $Id: startup.m 685 2007-01-16 14:46:11Z tono $
%% ===========================================================================

%% ===========================================================================
% Change History
%      2000-11-08 (ToNo) Created
%      2002-01-25 (ToNo) Print what program to run instead of running it
%      2002-07-01 (ToNo) Adjusted for Octave to Matlab compatibility port
%% ===========================================================================

progs = str2mat('ExSDSLmargin','ExSDSLmaxrate','ExSDSLtestloop',...
                'ExSDSLreach','ExSDSLreach_v2');

%% ===========================================================================
% Set up xDSL simulator paths
cwd=pwd;
relative='/../../';
path(path,[cwd relative 'xdslcomm']);
path(path,[cwd relative 'xdsldefs']);
% Set up tool dependent path
if onMatlab
    path(path,[cwd relative 'matlab']);
else
    path(path,[cwd relative 'octave']);
end

%% ===========================================================================
% Greet user
greetings;

fprintf('Execute one of the following to test SDSL simulations:\n');
for i=1:size(progs,1),
    fprintf('    %s \n',progs(i,:));
end;

