%% ===========================================================================
% Copyright (C):
%       1999 by Telia Research AB, Lulea, Sweden;
%       2000-2007 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% File          : startup.m
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%		: Petr Kadlec (kadlec@ftw.at)
%
% CVS:       $Id: startup.m 685 2007-01-16 14:46:11Z tono $
%% ===========================================================================

%% ===========================================================================
% Change History
%      1998-12-22 (ToNo) Created
%      2000-03-30 (ToNo) Added path handling
%      2002-07-02 (Peka) Distinguishing between Matlab & Octave
%% ===========================================================================

%% ===========================================================================
% Test if we have problem reading numbers in international OS versions
if 3 == 3.14,
    error(['Matlab thinks 3 is equal to 3.14, ' ...
            'please use an US (or posix C) version of the system. ' ...
            'Or add LC_NUMERIC=us into $MATLAB/bin/.matlab5rc.sh' ]);
end

%% ===========================================================================
% Set up xDSL simulator paths
cwd=pwd;
relative='/';
path(path,[cwd relative 'xdslcomm']);
path(path,[cwd relative 'xdsldefs']);
% Set up tool dependent path
if onMatlab
   path(path,[cwd relative 'matlab']);
else
   path(path,[cwd relative 'octave']);
end

%% ===========================================================================
% Greet user
greetings

%% ===========================================================================
% Print an example of what can be done
fprintf('Do "cd examples/First; Main" to test a program\n');

