function Att_mtr=buildAttMtr(ex,f,no_nodes,tt_topology,Zterm)
% buildAttMtr - Initialise and create the Att_mtr matrix.
%
% Parameter:    ex           Experiment struct
% Parameter:    f            Frequency axis
% Parameter:    no_nodes     Number of nodes
% Parameter:    tt_topology  Scenario Topology
% Parameter:    Zterm        Termination Impedance
% Returns:      Att_mtr      The created insertion loss matrix
%
%% ===========================================================================

%% ===========================================================================
% Copyright (C):                                        
%       2002-2007 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Petr Kadlec (kadlec@ftw.at)    
%               : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: buildAttMtr.m 685 2007-01-16 14:46:11Z tono $
%% ===========================================================================
% Change History
%      2002-07-01 (PeKa)  Created for Octave to Matlab compatibility port
%% ===========================================================================

% We should have used the fact that no_nodes=length(tt.topology)
% instead of using it as an input paramter

Att_mtr = cell(no_nodes,no_nodes);
for id=1:no_nodes
    Att_mtr{id,id}=zeros(size(f));
end

for id=1:no_nodes
    for i=(id+1):no_nodes
        start=id;
        stop=i;
        Att_mtr{start,stop}=getIL(ex,start,stop,tt_topology,f,Zterm);
    end;
end;
