function greetings
%% ===========================================================================
%greetings - Greet the user of the simulator
%
%% ===========================================================================

%% ===========================================================================
% Copyright (C):
%       2003-2007 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: greetings.m 685 2007-01-16 14:46:11Z tono $
%% ===========================================================================
% Change History
%      2002-07-24 (ToNo) Created
%      2005-01-10 (ToNo) Inserted the test for errors in Matlab 5 here
%% ===========================================================================

%% ===========================================================================
% Get current date
dvec     = datevec(now);
% isodate  = sprintf('%4d%02d%02d',dvec(1),dvec(2),dvec(3));

if onMatlab,
    tool = 'Matlab';
else
    tool = 'Octave';
end;

%% ===========================================================================
% Print greeting
fprintf('\nWelcome to the FTW xDSL simulation tool <version %.1f>\n',...
        xDSLsimuVersion);
fprintf('Today <%s> running on %s.\n',...
    sprintf('%4d-%02d-%02d',dvec(1),dvec(2),dvec(3)),tool);
%fprintf('For more information on the tool see http://xdsl.ftw.at/xdslsimu\n');

fprintf('\n');

%% ===========================================================================
% Test if we have problem reading numbers in international OS versions
if 3 == 3.14,
    error(['Matlab thinks 3 is equal to 3.14, ' ...
           'please use an US (or posix C) version of the system. ' ...
           'Or add LC_NUMERIC=us into $MATLAB/bin/.matlab5rc.sh' ]);
end

