function yi = interpolate(x,y,xi)
%% ===========================================================================
% interpolate - Abstraction of a (linear) interpolation routine
%
% Parameter:    x      The vector x specifies the points at which 
% Parameter:    y      the data Y is given.
% Parameter:    xi     The vector xi gives the points where yi
%                      values are to be found
% Returns:      yi     Interpolated values at positions xi
%% ===========================================================================

%% ===========================================================================
% Copyright (C):                                        
%       2002-2007 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: interpolate.m 685 2007-01-16 14:46:11Z tono $
%% ===========================================================================
% Change History
%      2002-08-12 (ToNo) Created
%      2005-01-10 (ToNo) Added 'extrap' for Matlab 7.0 compatibility
%% ===========================================================================

yi = interp1(x,y,xi,'linear','extrap');
