function nof=noFiles(pattern)
%% ===========================================================================
%noFiles - Count the number of files in the current directory that
%          contains the pattern.
%
% Parameter:    pattern	        Pattern to look for
% Returns:      nof	        Number of files
%
% Example(s):
%   nodiaryfiles=noFiles('diary*');
%   totnofiles=noFiles;
%
%% ===========================================================================

%% ===========================================================================
% Copyright (C):
%       2003-2007 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: noFiles.m 685 2007-01-16 14:46:11Z tono $
%% ===========================================================================
% Change History
%      2003-11-03 (ToNo) Created
%% ===========================================================================
if nargin<1,
   pattern='*';
end

if onMatlab
    nof=length(dir(pattern));
else % Octave
    % This might not work under Windows
    nof=str2num(system(['ls -d ' pattern ' 2>/dev/null  | wc -l']));
end;
