%% ===========================================================================
% Copyright (C):                                        
%       1999-2000 by Telia Research AB, Lulea, Sweden;                
%       2000-2007 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% Description   : Define things for ANSI defaults
%
% File          : ANSIdefinitions.m
% Project       : FTW's xDSLsimu
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: ANSI_VDSL_defs.m 685 2007-01-16 14:46:11Z tono $
%% ===========================================================================

%% ===========================================================================
% Change History
%      1999-10-25 (ToNo) Created
%      2000-02-09 (ToNo) Added a setupParam to get ex.frequency.*         
%      2000-02-10 (ToNo) Included ANSI noise instead of ETSI/FSAN noise
%      2000-03-30 (ToNo) Removed everything with gui
%      2000-04-05 (UvAn) New return value from ansi_tfplanHAM
%% ===========================================================================
global ex;

%% ===========================================================================
% ANSI default inclusions

ex.param    = setupParam;                    % Setup global parameters
						
[ex.tfplist, ex.param.HAMBandName] = ...
   ansi_tfplanHAM([]);                       % Need a HAM band definition
ex.tfplist  = fsan_modelsMISC(ex.tfplist);   % Get plans for alien noise
ex.tfplist  = ansi_noisesVDSL(ex.tfplist);   % Get ANSI (FSAN) noise models

ex.lclist   = setupLClist;                   % Line code definition (theo)
ex.lclist   = etsi_lcdefsADSL(ex.lclist);    % Line code definitions (ADSL)
ex.lclist   = etsi_lcdefsVDSL(ex.lclist);    % Line code definitions (VDSL)

ex.clist    = ansi_cablesVDSL([]);           % Get  ANSI (and ETSI) cables;
